! source file: /home/aschmitt/UVic/2.9/chris/c_n_isotopes/asc/MOBI1.4/test/updates/cpts.F
      subroutine dh (sal1d, Fx, Fmix, Fneti, ultnt, condb, Tw, Ts, Ti
     &,              Tbot, Tf, qi, hi, hs, dhib, subi, subs, dhit, dhs
     &,              dhif, dhsf, ni)

      return
      end
